Name: hotplug
Version: 2004_03_29
Release: alt7

Summary: A helper application for loading modules
Summary(ru_RU.KOI8-R):     
Group: System/Configuration/Hardware

License: GPL
Url: http://linux-hotplug.sourceforge.net/

Source0: %name-%version.tar.gz
Source1: http://www.linuxalpha.compaq.com/pcihpd/files/cpqphpd_gui-0.1.2.tar.bz2
Source2: http://www.linuxalpha.compaq.com/pcihpd/files/hpioctl.tar.bz2
Source3: cpqphpd_ioctl.h
Source4: hotplug-modutils
Source5: hotplug-usb.sysconfig
Source6: hotplug.conf

Patch0:  hotplug-2004_03_29-alt.patch

PreReq: chkconfig
Obsoletes: usbd
Provides: usbd
PreReq: modutils >= 2.4.25-alt3
PreReq: libhw-tools
Requires: startup >= 0.9.0-alt1

%description
This package contains the scripts necessary for hotplug Linux support,
and lets you plug in new devices and use them immediately.
Initially, it includes support for USB and PCI (Cardbus) devices,
and can automatically configure network interfaces.

%description -l ru_RU.KOI8-R
          
.

%package gtk
Summary: GTK control interface for Hotplug PCI
Group: System/Configuration/Hardware

%description gtk
This is the GTK interface for the Compaq PCI hotplug controller

%prep
%setup -q -a1 -a2
%patch0 -p1

%build
%make_build CFLAGS="%optflags"

%install
make prefix=$RPM_BUILD_ROOT install

# hotplug PCI program
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/modutils.d
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/hotplug/usb
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/hotplug/pci
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/hotplug/ieee1394
mkdir -p $RPM_BUILD_ROOT%_sysconfdir/sysconfig
install -m644 %SOURCE5 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/usb
install -m644 %SOURCE6 $RPM_BUILD_ROOT%_sysconfdir/sysconfig/hotplug

mkdir -p $RPM_BUILD_ROOT/var/log/hotplug
mkdir -p $RPM_BUILD_ROOT/var/lib/hotplug
install -m 644 %SOURCE4 $RPM_BUILD_ROOT%_sysconfdir/modutils.d/%name

%post 
%post_service hotplug
# hotplug must be enabled ;-(
/sbin/chkconfig --add hotplug

%preun
%preun_service hotplug


%files
%doc README ChangeLog
%config(noreplace) /etc/modutils.d/%name
%config(noreplace) /etc/hotplug/blacklist
%config(noreplace) /etc/sysconfig/%name
/etc/hotplug/hotplug.functions
/etc/hotplug/ieee1394.agent
/etc/hotplug/net.agent
/etc/hotplug/pci.agent
/etc/hotplug/usb.agent
%config(noreplace) /etc/hotplug/usb.distmap
%config(noreplace) /etc/hotplug/usb.handmap
%config(noreplace) /etc/hotplug/usb.usermap
%dir /etc/hotplug.d
%dir /etc/hotplug.d/default
%config(noreplace) /etc/hotplug.d/default/default.hotplug
/etc/hotplug/dasd.agent
/etc/hotplug/firmware.agent
/etc/hotplug/input.agent
/etc/hotplug/scsi.agent
/etc/hotplug/tape.agent
/etc/hotplug/block.agent
/etc/hotplug/sound.agent
#config(noreplace) /etc/sysconfig/usb
/etc/hotplug/*.rc
/etc/rc.d/init.d/hotplug
/sbin/*
%dir /etc/hotplug
%dir %_sysconfdir/hotplug/usb
%dir %_sysconfdir/hotplug/pci
%dir %_sysconfdir/hotplug/ieee1394
%dir /var/run/usb
%dir /var/log/hotplug
%dir /var/lib/hotplug
%_mandir/man?/*

%changelog
* Mon Jul 19 2004 Anton Farygin <rider@altlinux.ru> 2004_03_29-alt7
- fixed start/stop chkconfig priority for hotplug initscript (32 69) (#4668)
- added status information for sound.rc (#4825)
- renamed *START options in sysconfig file to HOTPLUGRC
- used "action" into initscript for starting hotplugging services
- Russian summary and description added

* Sun Jul 18 2004 Anton Farygin <rider@altlinux.ru> 2004_03_29-alt6
- fixed typo in sound.agent
- don't probe modules, if pciscan return driver with "Card:", "ISDN:", "Bad:" or "Server:" words

* Wed Jul 14 2004 Anton Farygin <rider@altlinux.ru> 2004_03_29-alt5
- sound.agent and sound.rc added (only for kernel 2.6)
- into "pci.rc status" output from lspci changed to output from pciscan -v
- added configuration file /etc/sysconfig/hotplug (user may be disable hotplug functions)
- enabled stop service on hotplug initscripts (only for kernel 2.6) 

* Tue Jul 13 2004 Anton Farygin <rider@altlinux.ru> 2004_03_29-alt4
- skip blank lines into usb_map_modules
- requires fixed
- added eth1394 and i8xx_tco to blacklist

* Fri Jul 09 2004 Anton Farygin <rider@altlinux.ru> 2004_03_29-alt3
- fixed #4301
- block.agent added (work only for kernel 2.6.x)
- added remove event support for network interfaces (#4668)

* Mon May 31 2004 Anton Farygin <rider@altlinux.ru> 2004_03_29-alt2
- load_driver don't load missing kernel module
- fixed loading usb drivers for usb 2.0 controllers with usb 1.x
- ignoring all PCI network adapters added at start hotplug (kernel 2.6)

* Wed May 26 2004 Anton Farygin <rider@altlinux.ru> 2004_03_29-alt1
- new version with kernel 2.6 support

* Thu Oct 16 2003 Rider <rider@altlinux.ru> 2002_08_26-alt5
- added ieee1394 storages support 

* Wed Oct 01 2003 Rider <rider@altlinux.ru> 2002_08_26-alt4
- fixed requires to /etc/pcmcia/wireless

* Mon Sep 29 2003 Rider <rider@altlinux.ru> 2002_08_26-alt3
- install %name config into %_sysconfdir/modutils.d/ for loading sd_mod above usb-storage

* Tue Jul 08 2003 Rider <rider@altlinux.ru> 2002_08_26-alt2
- run updfstab with LANG variable
- run updfstab after remove USB storage device

* Mon Mar 31 2003 Stanislav Ievlev <inger@altlinux.ru> 2002_08_26-alt1.1
- Enable Debian's update-usb.usermap utility.
  We'll need it for some printer drivers

* Thu Oct 24 2002 Konstantin Volckov <goldhead@altlinux.ru> 2002_08_26-alt1
- Rebuilt in new environment
- 2002_08_26
- Added some Mandrake patches

* Tue May 21 2002 Konstantin Volckov <goldhead@altlinux.ru> 2002_04_01-alt2
- Added joydev patch to support some joystics

* Thu Apr 04 2002 Konstantin Volckov <goldhead@altlinux.ru> 2002_04_01-alt1
- 2002-04-01
- Added -gtk subpackage

* Fri Dec 07 2001 Konstantin Volckov <goldhead@altlinux.ru> 2001_09_19-alt2
- Added requires to right modutils

* Thu Dec 06 2001 Konstantin Volckov <goldhead@altlinux.ru> 2001_09_19-alt1
- First build for Sisyphus

* Mon Sep 17 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-8mdk
- added ieee1934.agent from cvs (Chmouel)

* Fri Sep 14 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-7mdk
- storage handling is handled by dynamic now.

* Thu Sep  6 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-6mdk
- fix for wacom module load

* Sat Sep  1 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-5mdk
- updated patch1 for wireless devices
- don't install patch backup files

* Thu Aug 30 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-4mdk
- Run ifdown on interface unregistration (kill stale DHCP clients)
- own /etc/hotplug

* Wed Jul 11 2001 Frederic Lepied <flepied@mandrakesoft.com> 2001_06_12-3mdk
- added a call to updfstab when usb-storage is loaded

* Wed Jun 13 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2001_06_12-2mdk
- noreplace /etc/ files.
- Update description.
- ifdown net when unregister net card.

* Tue Jun 12 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2001_06_12-1mdk
- First mandrake release (generated from cvs, spec file inspired from rh).

